Đến nội dung


Hình ảnh
- - - - -

Lisp xoay bản vẽ trong khung chữ nhật Layout


  • Please log in to reply
31 replies to this topic

#21 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 02:10 PM

Cảm ơn bác KaKung nhé Bác lúc nào cũng ứng cứu kịp thời


  • 0

#22 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2013 - 02:16 PM

Cảm ơn bác KaKung nhé Bác lúc nào cũng ứng cứu kịp thời

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#23 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 02:19 PM

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

 

Nhưng người nhận thì chưa chịu LIKE kịp thời  :D

Đúng thế bác nhưng dù sao cũng phải cảm ơn trước vì các bác đã bớt chút thời gian, công sức, chất xám vào đÂy mà

Cái test mới của bác KaKung em chạy nó ra thế này:

 Select viewport:; error: AutoCAD variable setting rejected: "cvport" nil

Chà có mỗi cái xoay trong layout mà khó ghê nhỉ!


  • 1

#24 HoaVien

HoaVien

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 13 September 2013 - 02:42 PM

Sài thử Lisp này xem :

 

(defun c:rv( / n vp)
  (vl-load-com)
  (if (= (getvar "Tilemode") 0)
    (progn
      (if (/= (getvar "cvport") 1)
	(vla-Put-MSpace (vla-Get-ActiveDocument (vlax-Get-Acad-Object)) :vlax-False))
      (prompt "\nChont viewport can xuay: ")
      (if (and (setq ss (ssget ":S+." '((0 . "VIEWPORT"))))
	       (setq ang (getangle "\nNhap goc xuay: ")))
	(vla-Put-TwistAngle (vlax-EName->vla-Object (ssname ss 0)) ang) ) )      
    (alert "\n Chuyen sang Layout truoc khi chay Lisp!")    )
  (princ)  )

  • 1

#25 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 02:53 PM

Sài thử Lisp này xem :

 

(defun c:rv( / n vp)
  (vl-load-com)
  (if (= (getvar "Tilemode") 0)
    (progn
      (if (/= (getvar "cvport") 1)
	(vla-Put-MSpace (vla-Get-ActiveDocument (vlax-Get-Acad-Object)) :vlax-False))
      (prompt "\nChont viewport can xuay: ")
      (if (and (setq ss (ssget ":S+." '((0 . "VIEWPORT"))))
	       (setq ang (getangle "\nNhap goc xuay: ")))
	(vla-Put-TwistAngle (vlax-EName->vla-Object (ssname ss 0)) ang) ) )      
    (alert "\n Chuyen sang Layout truoc khi chay Lisp!")    )
  (princ)  )

Nó ra thế này bạn ạ:

Select viewport:; error: bad argument type: numberp: nil


  • 1

#26 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2013 - 02:59 PM

Nó ra thế này bạn ạ:

Select viewport:; error: bad argument type: numberp: nil

Bạn kiếm đâu ra dòng màu đỏ trong lisp của Hoavien?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#27 Namvanvo

Namvanvo

    Edu level: li5

  • Members
  • PipPipPipPipPip
  • 386 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 13 September 2013 - 03:02 PM

Cái test mới của bác KaKung em chạy nó ra thế này:

 Select viewport:; error: AutoCAD variable setting rejected: "cvport" nil

Chà có mỗi cái xoay trong layout mà khó ghê nhỉ!

sao mình dùng thử cái của bác KaKung thì thấy chạy ok nhỉ, mà bạn dùng lại báo lỗi  :blink:  :blink:  :blink:


  • 0

#28 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 13 September 2013 - 03:19 PM

 Select viewport:; error: AutoCAD variable setting rejected: "cvport" nil

DanKhaosat spam kinh thế. Lỗi trên là do bạn tạo viewport bằng polyline có sẵn. Còn Lisp trên là tôi viết ví dụ cho viewport đơn lẻ thôi. Lisp của HoaVien đã khắc phục được lỗi này. 


  • 0

#29 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 03:40 PM

Bạn kiếm đâu ra dòng màu đỏ trong lisp của Hoavien?

Xin lỗi mình nhầm lệnh của bác KaKung với HoaVien

Nhưng mà lisp của HoaVien chạy xong xoay góc không có điểm gốc để xoay nó chạy bản vẽ đi đâu ấy nhỉ!


  • 0

#30 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 05:47 PM

Có ai rảnh không chú ý giúp với


  • 0

#31 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 14 September 2013 - 07:38 AM

srr, spam


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#32 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 14 September 2013 - 09:39 AM

Cảm ơn bác Hoavien nhé!

Đang ghép đoạn chương trình của bác vào lisp của mình và thử nghiệm


  • 1